module.exports = exports = {

    prefix: '/api/v1/code',

    middleware: [
        'auth:ApiRoute',
    ],

    get: {
        // Get the code ref node config for the specified code editor
        '/:PageId/:NodeId/get/:CodiumId': ['controller::api:v1:FormCode.get_config'],
    },

    post: {
        // Create a new code ref config
        '/:PageId/:NodeId/create': ['controller::api:v1:FormCode.create_new'],

        // Set the data for the specified code ref
        '/:PageId/:NodeId/set/:CodiumId': ['controller::api:v1:FormCode.set_values'],

        // delete the specified code ref
        '/:PageId/:NodeId/delete/:CodiumId': ['controller::api:v1:FormCode.drop_code'],
    },
}
